## qwinff 0.2.1

=== Makefile ===

# Build Parameters
# You can change these parameters to customize the build.

# Installation Prefix
PREFIX?=/usr
# Version ID String (displayed after the version string in the about dialog)
VIDSTR=

###############################
# Variables here are not meant to be changed.

# Paths
PROJECT_ROOT=$(PWD)
SRC_DIR=$(PROJECT_ROOT)/src
BUILD_DIR=$(PROJECT_ROOT)/build
BIN_DIR=$(PROJECT_ROOT)/bin
DATA_PATH=$(PREFIX)/share/qwinff
TRANSLATION_PATH=$(DATA_PATH)/translations

# Tools
QMAKE=qmake
LRELEASE=lrelease

# Settings
QMAKE_DEFS= DESTDIR=$(BIN_DIR) \
            OBJECTS_DIR=$(BUILD_DIR)/obj \
            MOC_DIR=$(BUILD_DIR)/moc \
            RCC_DIR=$(BUILD_DIR)/rcc \
            UI_DIR=$(BUILD_DIR)/ui \
            DEFINES+=QT_NO_DEBUG_OUTPUT

DEFS= DATA_PATH=\\\"$(DATA_PATH)\\\" \
      VERSION_ID_STRING=\\\"$(VIDSTR)\\\"

USE_LIBNOTIFY=0

ifneq ($(USE_LIBNOTIFY),0)
	QMAKE_DEFS += CONFIG+=libnotify
endif

all: release

release:
	+cd $(SRC_DIR) && $(QMAKE) $(QMAKE_DEFS) qwinff.pro && $(DEFS) $(MAKE)
	-cd src && $(LRELEASE) qwinff.pro

check:
	cd $(SRC_DIR)/tests && sh run-tests.sh

clean:
	rm -rf $(BIN_DIR)/*
	rm -rf $(BUILD_DIR)/*
	-cd $(SRC_DIR) && $(MAKE) clean && rm Makefile

install:
	-install -d $(DESTDIR)$(PREFIX)/bin/
	install -m 755 bin/qwinff $(DESTDIR)$(PREFIX)/bin/
	-install -d $(DESTDIR)$(DATA_PATH)
	install -m 644 src/presets.xml $(DESTDIR)$(DATA_PATH)
	install -m 644 src/constants.xml $(DESTDIR)$(DATA_PATH)
	-install -d $(DESTDIR)$(TRANSLATION_PATH)
	-install -m 644 src/translations/*.qm $(DESTDIR)$(TRANSLATION_PATH)
	-install -d $(DESTDIR)$(PREFIX)/share/man/man1
	install -m 644 man/qwinff.1 $(DESTDIR)$(PREFIX)/share/man/man1/
	-install -d $(DESTDIR)$(PREFIX)/share/applications
	install -m 644 qwinff.desktop $(DESTDIR)$(PREFIX)/share/applications/
	-install -d $(DESTDIR)$(PREFIX)/share/pixmaps
	install -m 644 src/icons/qwinff_256x256.png $(DESTDIR)$(PREFIX)/share/pixmaps/qwinff.png
	gzip -9 -f $(DESTDIR)$(PREFIX)/share/man/man1/qwinff.1
	
uninstall:
	-rm -f $(DESTDIR)$(PREFIX)/bin/qwinff
	-rm -f $(DESTDIR)$(DATA_PATH)/presets.xml
	-rm -f $(DESTDIR)$(DATA_PATH)/constants.xml
	-rm -f $(DESTDIR)$(TRANSLATION_PATH)/*.qm
	-rmdir $(DESTDIR)$(TRANSLATION_PATH)
	-rmdir $(DESTDIR)$(DATA_PATH)
	-rm -f $(DESTDIR)$(PREFIX)/share/applications/qwinff.desktop
	-rm -f $(DESTDIR)$(PREFIX)/share/pixmaps/qwinff.png
	-rm -f $(DESTDIR)$(PREFIX)/share/man/man1/qwinff.1.gz

.PHONY: all release check clean install uninstall

=== debian/changelog ===
qwinff (0.2.1-1) jessie; urgency=medium

  * Rebuild for Debian Jessie.
  * Depend on the libavcodec-extra metapackage instead of a specific version.

 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Wed, 29 Jun 2016 19:12:16 -0700

qwinff (0.2.1-1~precise1) precise; urgency=low

  * New upstream release

 -- Pavel Sofishchenko <login.spv@gmail.com>  Fri, 18 Dec 2015 17:15:41 +0500

qwinff (0.2.0-1~precise1) precise; urgency=low

  * Update to version 0.2.0.

 -- Timothy Lin <lzh9102@gmail.com>  Mon, 10 Feb 2014 12:00:47 +0800

qwinff (0.1.9-1~precise1) precise; urgency=low

  * Update to version 0.1.9.

 -- Timothy Lin <lzh9102@gmail.com>  Tue, 10 Sep 2013 17:43:45 +0800

qwinff (0.1.8-1~precise1) precise; urgency=low

  * Update to version 0.1.8.

 -- Timothy Lin <lzh9102@gmail.com>  Wed, 13 Feb 2013 22:44:14 +0800

qwinff (0.1.7-1~precise1) precise; urgency=low

  * Update to version 0.1.7.

 -- Timothy Lin <lzh9102@gmail.com>  Mon, 17 Sep 2012 20:23:02 +0800

qwinff (0.1.6-3~precise1) precise; urgency=low

  * Update Japanese translation.

 -- Timothy Lin <lzh9102@gmail.com>  Mon, 03 Sep 2012 09:41:01 +0800

qwinff (0.1.6-2~precise1) precise; urgency=low

  * Update Czech translation.

 -- Timothy Lin <lzh9102@gmail.com>  Fri, 31 Aug 2012 14:40:21 +0800

qwinff (0.1.6-1~precise1) precise; urgency=low

  * Update to version 0.1.6.

 -- Timothy Lin <lzh9102@gmail.com>  Sun, 26 Aug 2012 09:43:28 +0800

qwinff (0.1.5-1~precise1) precise; urgency=low

  * Update to version 0.1.5.

 -- Timothy Lin <lzh9102@gmail.com>  Fri, 17 Aug 2012 10:23:01 +0800

qwinff (0.1.4-2~precise1) precise; urgency=low

  * Add Italian translation.

 -- Timothy Lin <lzh9102@gmail.com>  Sat, 11 Aug 2012 11:11:23 +0800

qwinff (0.1.4-1~precise1) precise; urgency=low

  * Update to version 0.1.4.
  * Minor gui improvements.

 -- Timothy Lin <lzh9102@gmail.com>  Thu, 21 Jun 2012 16:00:02 +0800

qwinff (0.1.3-1~precise2) precise; urgency=low

  * Initial release. (Closes: #XXXXXX)

 -- Timothy Lin <lzh9102@gmail.com>  Mon, 18 Jun 2012 10:29:17 +0800

=== debian/control ===
Source: qwinff
Maintainer: Steven Pusser (Stevo) <maintainer@mepiscommunity.org>
Bugs: mailto: maintainer@mepiscommunity.org
XSBC-Original-Maintainer: Timothy Lin <lzh9102@gmail.com>
Section: video
Priority: optional
Standards-Version: 3.9.6
Build-Depends:
 debhelper (>= 7.0.50~),
 dpkg-dev (>= 1.16.1~),
 libqt4-dev (>= 4.4.3),
 libqt4-opengl-dev,
 libnotify-dev

Package: qwinff
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
         ffmpeg, libavcodec-extra, sox, mplayer
Provides: qwinff
Description: cross-platform, easy-to-use media converter frontend to FFmpeg
 FFmpeg is a powerful command-line utility to convert audio and video file
 into numerous formats. QWinFF features a rich set of presets to help users
 use FFmpeg easily without having to manually input command-line flags.
 Average users can convert multiple media files in just a few clicks,
 while advanced users can still adjust conversion parameters in detail. 
 .
 If you find problems with the program or you have any suggestions,
 please report them in the Issues tab or e-mail to lzh9102@gmail.com.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

export QTDIR=/usr/share/qt5
export QT_SELECT=qt5

%:
	dh $@

override_dh_auto_configure:
	qmake -makefile PREFIX=$(shell pwd)/qwinff/usr src/qwinff.pro
	sed -i "s,-DQT_NO_DEBUG,,g" Makefile
	sed -i 's/^CXXFLAGS.*/& -g/g' Makefile

override_dh_auto_install:
	@echo skip install target

## qwinff 0.2.1%2Bgit20191128

=== Makefile ===
--- 
+++ 
@@ -11,12 +11,16 @@
 # Variables here are not meant to be changed.
 
 # Paths
-PROJECT_ROOT=$(PWD)
+PROJECT_ROOT=$(shell pwd)
 SRC_DIR=$(PROJECT_ROOT)/src
 BUILD_DIR=$(PROJECT_ROOT)/build
 BIN_DIR=$(PROJECT_ROOT)/bin
 DATA_PATH=$(PREFIX)/share/qwinff
 TRANSLATION_PATH=$(DATA_PATH)/translations
+
+ifeq ($(PROJECT_ROOT),)
+$(error "PROJECT_ROOT is not set properly")
+endif
 
 # Tools
 QMAKE=qmake
@@ -49,8 +53,9 @@
 	cd $(SRC_DIR)/tests && sh run-tests.sh
 
 clean:
-	rm -rf $(BIN_DIR)/*
-	rm -rf $(BUILD_DIR)/*
+	test -n "$(PROJECT_ROOT)" # ensure we don't accidentally remove /bin if $(PROJECT_ROOT) is empty
+	rm -rf $(BIN_DIR)
+	rm -rf $(BUILD_DIR)
 	-cd $(SRC_DIR) && $(MAKE) clean && rm Makefile
 
 install:

## qwinff 0.2.1+git20191128

=== debian/changelog ===
qwinff (0.2.1+git20191128-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:24:10 +0100

qwinff (0.2.1+git20191128-1) unstable; urgency=medium

  * New upstream version. (Closes: #945602)
  * Bump standards version to 4.4.1.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Thu, 28 Nov 2019 10:31:49 +0100

qwinff (0.2.1-1) unstable; urgency=medium

  * Initial release. (Closes: #731153)

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Fri, 14 Dec 2018 21:28:17 +0100

=== debian/control ===
Source: qwinff
Section: video
Priority: optional
Maintainer: Gürkan Myczko <gurkan@phys.ethz.ch>
Build-Depends: debhelper (>= 11), libqt5opengl5-dev, qtbase5-dev, qttools5-dev-tools
Standards-Version: 4.4.1
Homepage: http://qwinff.github.io/

Package: qwinff
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ffmpeg, mplayer, sox
Description: GUI for FFmpeg
 This is a free and open source media converter frontend to FFmpeg. FFmpeg
 is a powerful command-line utility to convert audio and video file into
 numerous formats. QWinFF features a rich set of presets to help users use
 FFmpeg easily without having to manually input command-line flags. Average
 users can convert multiple media files in just a few clicks, while advanced
 users can still adjust conversion parameters in detail.

=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,7 @@
 
 export QTDIR=/usr/share/qt5
 export QT_SELECT=qt5
+export DATA_PATH=\"/usr/share/qwinff/\"
 
 %:
 	dh $@

=== debian/watch ===
version=4
# GitHub hosted projects
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%<project>-$1.tar.gz%" \
   https://github.com/qwinff/qwinff/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## qwinff 0.2.1+git20201215

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.0)

project(qwinff)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

if(CMAKE_VERSION VERSION_LESS "3.7.0")
    set(CMAKE_INCLUDE_CURRENT_DIR ON)
endif()

find_package(Qt5 COMPONENTS Widgets LinguistTools REQUIRED)
find_package(Qt5Network REQUIRED)

add_subdirectory(src)

install(FILES qwinff.desktop DESTINATION share/applications)

=== src/CMakeLists.txt ===
add_subdirectory(qmpwidget)
add_subdirectory(translations)

set(qwinff_source_files
  main.cpp

  converter/audiofilter.cpp
  converter/conversionparameters.cpp
  converter/converterinterface.cpp
  converter/exepath.cpp
  converter/ffmpeginterface.cpp
  converter/mediaconverter.cpp
  converter/mediaprobe.cpp
  converter/presets.cpp

  services/abstractpreviewer.cpp
  services/constants.cpp
  services/extensions.cpp
  services/ffplaypreviewer.cpp
  services/filepathoperations.cpp
  services/httpdownloader.cpp
  services/mplayerpreviewer.cpp
  services/notification.cpp
  services/notificationservice.cpp
  services/notificationservice-notifysend.cpp
  services/notificationservice-qt.cpp
  services/paths.cpp
  services/powermanagement-dummy.cpp
  services/settingtimer.cpp
  services/updatechecker.cpp
  services/updateinfoparser.cpp
  services/versioncompare.cpp
  services/xmllookuptable.cpp

  ui/aboutdialog.cpp
  ui/aboutffmpegdialog.cpp
  ui/addtaskwizard.cpp
  ui/conversionparameterdialog.cpp
  ui/convertlist.cpp
  ui/interactivecuttingdialog.cpp
  ui/mainwindow.cpp
  ui/mediaplayerwidget.cpp
  ui/myqmpwidget.cpp
  ui/optionsdialog.cpp
  ui/poweroffdialog.cpp
  ui/previewdialog.cpp
  ui/progressbar.cpp
  ui/rangeselector.cpp
  ui/rangewidgetbinder.cpp
  ui/timerangeedit.cpp
  ui/updatedialog.cpp
  )

set(qwinff_ui_files
  ui/conversionparameterdialog.ui
  ui/addtaskwizard.ui
  ui/mainwindow.ui
  ui/aboutffmpegdialog.ui
  ui/optionsdialog.ui
  ui/aboutdialog.ui
  ui/poweroffdialog.ui
  ui/updatedialog.ui
  ui/previewdialog.ui
  ui/interactivecuttingdialog.ui
  ui/mediaplayerwidget.ui
  )

set(qwinff_rc_files
  images.qrc
  )

add_definitions(
  -DDEFAULT_THREAD_COUNT=1
  -DOPERATION_TIMEOUT=30000
  )

add_executable(qwinff ${qwinff_source_files} ${qwinff_ui_files} ${qwinff_rc_files})
target_link_libraries(qwinff qmpwidget Qt5::Widgets Qt5::Network)
target_include_directories(qwinff PRIVATE .)

install(TARGETS qwinff DESTINATION bin)
install(FILES presets.xml constants.xml DESTINATION share/qwinff)
install(FILES icons/qwinff_256x256.png DESTINATION share/pixmaps RENAME qwinff.png)

=== src/qmpwidget/CMakeLists.txt ===
add_library(qmpwidget qmpwidget.cpp)
target_link_libraries(qmpwidget Qt5::Widgets)

=== src/translations/CMakeLists.txt ===
set(TS_FILES
  qwinff_ar.ts
  qwinff_cs_CZ.ts
  qwinff_de.ts
  qwinff_es_ES.ts
  qwinff_es_GT.ts
  qwinff_fr.ts
  qwinff_hu_HU.ts
  qwinff_it_IT.ts
  qwinff_ja_JP.ts
  qwinff_pl_PL.ts
  qwinff_pt_BR.ts
  qwinff_ro_RO.ts
  qwinff_ru.ts
  qwinff_tr_TR.ts
  qwinff_zh_CN.ts
  qwinff_zh_TW.ts
  )

qt5_create_translation(QM_FILES ${TS_FILES})
add_custom_target(translations ALL DEPENDS ${QM_FILES})

install(FILES ${QM_FILES} DESTINATION share/qwinff/translations)

=== debian/changelog ===
qwinff (0.2.1+git20201215-3) unstable; urgency=medium

  * Bump standards version to 4.7.0.

 -- Alex Myczko <tar@debian.org>  Thu, 18 Jul 2024 05:13:45 +0000

qwinff (0.2.1+git20201215-2) unstable; urgency=medium

  * Update maintainer address.
  * Bump standards version to 4.6.2.
  * d/copyright: bump year.
  * d/control: depends replace mplayer with mpv. (Closes: #1014644)

 -- Gürkan Myczko <tar@debian.org>  Fri, 03 Feb 2023 07:29:37 +0100

qwinff (0.2.1+git20201215-1) unstable; urgency=medium

  * New upstream version.
  * d/upstream/metadata: added.
  * d/control: added Rules-Requires-Root.
  * d/watch: drop template part.
  * d/copyright:
    - update copyright years.
    - added Upstream-Contact.
    - fix file matcher.
  * Bump debhelper version to 13, drop d/compat.
  * Bump standards version to 4.5.1.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Tue, 15 Dec 2020 07:09:40 +0100

qwinff (0.2.1+git20191128-3) unstable; urgency=medium

  * Add Vcs fields.
  * Bump standards version to 4.5.0.
  * d/control: Add to Multimedia Team.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Sun, 10 May 2020 22:44:23 +0200

qwinff (0.2.1+git20191128-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Team upload.
  * Fix FTCBFS: Use the host qmake. (Closes: #955992)

  [ Gürkan Myczko ]
  * Thanks Helmut Grohne for the patch, applied.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Tue, 07 Apr 2020 10:50:20 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,22 @@
 Source: qwinff
 Section: video
 Priority: optional
-Maintainer: Gürkan Myczko <gurkan@phys.ethz.ch>
-Build-Depends: debhelper (>= 11), libqt5opengl5-dev, qtbase5-dev, qttools5-dev-tools
-Standards-Version: 4.4.1
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Uploaders: Alex Myczko <tar@debian.org>
+Vcs-Git: https://salsa.debian.org/multimedia-team/qwinff.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/qwinff
+Build-Depends:
+ debhelper-compat (= 13),
+ libqt5opengl5-dev,
+ qtbase5-dev,
+ qttools5-dev-tools,
+Standards-Version: 4.7.0
+Rules-Requires-Root: no
 Homepage: http://qwinff.github.io/
 
 Package: qwinff
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ffmpeg, mplayer, sox
+Depends: ${shlibs:Depends}, ${misc:Depends}, ffmpeg, mpv, sox
 Description: GUI for FFmpeg
  This is a free and open source media converter frontend to FFmpeg. FFmpeg
  is a powerful command-line utility to convert audio and video file into

=== debian/watch ===
version=4
# GitHub hosted projects
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%$1.tar.gz%" \
   https://github.com/qwinff/qwinff/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
